## CajaPropertyPage

CajaPropertyPage — Property page descriptor object

## Functions

CajaPropertyPage * | caja_property_page_new ()

## Properties

GtkWidget * | label | Read / Write
gchar * | name | Read / Write / Construct Only
GtkWidget * | page | Read / Write

## Types and Values

struct | CajaPropertyPage

## Object Hierarchy

        GObject
        ╰── CajaPropertyPage

## Includes

    #include <libcaja-extension/caja-property-page.h>

## Description

CajaPropertyPage is an object that describes a page in the file properties dialog. Extensions can provide CajaPropertyPage objects by registering a CajaPropertyPageProvider and returning them from `caja_property_page_provider_get_pages()`, which will be called by the main application when creating file properties dialogs.

## Functions

### caja_property_page_new ()

    CajaPropertyPage *
    caja_property_page_new (const char *name,
                            GtkWidget *label,
                            GtkWidget *page);

Creates a new CajaPropertyPage from page_widget.

#### Parameters

name | the identifier for the property page |
label | the user-visible label of the property page |
page | the property page to display |

#### Returns

a newly created CajaPropertyPage

## Types and Values

### struct CajaPropertyPage

    struct CajaPropertyPage;

## Property Details

### The `“label”` property

      “label”                    GtkWidget *

Label widget to display in the notebook tab.

Flags: Read / Write

### The `“name”` property

      “name”                     gchar *

Name of the page.

Flags: Read / Write / Construct Only

Default value: NULL

### The `“page”` property

      “page”                     GtkWidget *

Widget for the property page.

Flags: Read / Write